{ config, flake, ... }:
let
  inherit (flake.config.people) user0;
in
{
  networking.wireless = {
    networks = {
      "TheWeeFeez!" = {
        psk = config.sops.secrets."wifi-home".path;
      };
    };
  };
  sops = {
    secrets = {
      "wifi-home" = {
        path = "/var/lib/secrets/wifi-home-pass";
        owner = user0;
      };
    };
  };

}
